Bug 1471983 - Libreoffice Impress crashes on Edit Master
Libreoffice Impress crashes on Edit Master
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
26
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 16:44 EDT by Cristián Rojas
Modified: 2017-10-25 19:11 EDT (History)
7 users (show)

See Also:
Fixed In Version: libreoffice-5.3.7.1-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-25 19:11:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error shown. (147.47 KB, image/png)
2017-07-17 16:44 EDT, Cristián Rojas
no flags Details
config folder of libreoffice with which the edit master slide functionality crashed (5.17 MB, application/x-gzip)
2017-10-06 12:17 EDT, Christian Wiwie
no flags Details

  None (edit)
Description Cristián Rojas 2017-07-17 16:44:59 EDT
Created attachment 1300097 [details]
Error shown.

Description of problem:

When I go to Edit Master, Libreoffice Impress gives an empty error and crashes.


Version-Release number of selected component (if applicable):
Version: 5.3.4.2
Build ID: 5.3.4.2-3.fc26
CPU Threads: 8; OS Version: Linux 4.11; UI Render: default; VCL: gtk3; Layout Engine: new; 
Locale: en-US (en_US.UTF-8); Calc: group

How reproducible:


Steps to Reproduce:
1. Create new / Open existing presentation.
2. Go to the "Master Pages" section.
3. Right-click on a master slide and select "Edit Master..."

Actual results:
Empty box, showing title "LibreOffice 5.3 - Fatal Error", and program crashes.

Expected results:
Master edit page shown.

Additional info:
Comment 1 Cristián Rojas 2017-07-17 17:22:57 EDT
By erasing the config directory (~/.config/libreoffice in my case) the error disappeared and the application works properly.
Comment 2 Stephan Bergmann 2017-07-18 03:41:52 EDT
(In reply to Cristián Rojas from comment #1)
> By erasing the config directory (~/.config/libreoffice in my case) the error
> disappeared and the application works properly.

Do you still have a copy of your problematic ~/.config/libreoffice that you could share?
Comment 3 Cristián Rojas 2017-07-18 16:45:22 EDT
Nope. I deleted it. Sorry. You can close this if you want.
Comment 4 Christian Wiwie 2017-10-06 06:01:57 EDT
I encountered the same problem, and as indicated by the issue opener, removing the ~/.config/libreoffice directory solves the problem.

I have created a backup of it and can provide it.
Comment 5 Caolan McNamara 2017-10-06 12:06:04 EDT
oh certainly, if you have a config backup that can be used to reproduce this then attach it here, or send it to me directly referencing this bug
Comment 6 Christian Wiwie 2017-10-06 12:17 EDT
Created attachment 1335382 [details]
config folder of libreoffice with which the edit master slide functionality crashed
Comment 7 Caolan McNamara 2017-10-09 09:27:03 EDT
can reproduce now, excellent
Comment 8 Fedora Update System 2017-10-14 15:57:39 EDT
libreoffice-5.3.7.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8a41b0e79a
Comment 9 Fedora Update System 2017-10-15 00:21:11 EDT
libreoffice-5.3.7.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8a41b0e79a
Comment 10 Fedora Update System 2017-10-25 19:11:07 EDT
libreoffice-5.3.7.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.